[Lunar-commits] <moonbase> monkey: mv to web & set proper plugindir
Michael 'v4hn' Goerner
v4hn at lunar-linux.org
Fri Jun 15 18:17:14 CEST 2012
commit acde11e3a7a6b2703bb918a6081415a10a685889
Author: Michael 'v4hn' Goerner <v4hn at lunar-linux.org>
Date: Fri Jun 15 18:08:33 2012 +0200
monkey: mv to web & set proper plugindir
---
web/monkey/BUILD | 10 ++++++++++
web/monkey/DETAILS | 14 ++++++++++++++
web/monkey/init.d/monkey | 40 ++++++++++++++++++++++++++++++++++++++++
zbeta/monkey/BUILD | 9 ---------
zbeta/monkey/DETAILS | 14 --------------
zbeta/monkey/init.d/monkey | 40 ----------------------------------------
6 files changed, 64 insertions(+), 63 deletions(-)
diff --git a/web/monkey/BUILD b/web/monkey/BUILD
new file mode 100644
index 0000000..fc6c8a0
--- /dev/null
+++ b/web/monkey/BUILD
@@ -0,0 +1,10 @@
+(
+./configure --prefix=/usr \
+ --bindir=/usr/bin \
+ --sysconfdir=/etc/monkey/conf \
+ --datadir=/var/www/monkey/htdocs \
+ --logdir=/var/www/monkey/logs \
+ --plugdir=/usr/lib/monkey
+ $OPTS
+default_make
+) > $C_FIFO 2>&1
diff --git a/web/monkey/DETAILS b/web/monkey/DETAILS
new file mode 100644
index 0000000..189804e
--- /dev/null
+++ b/web/monkey/DETAILS
@@ -0,0 +1,14 @@
+ MODULE=monkey
+ VERSION=1.0.0
+ SOURCE=$MODULE-$VERSION.tar.gz
+ SOURCE_URL=http://monkey-project.com/releases/1.0/
+ SOURCE_VFY=sha1:9d2fcf7af3fc3fb6121e155d2e30d3ce25dbb46c
+ WEB_SITE=http://monkey-project.com/
+ ENTERED=20080315
+ UPDATED=20120610
+ SHORT="A fast and light web server for Linux."
+
+cat << EOF
+Monkey is a Web server written in C that works under Linux. This
+is an open source project based on the HTTP/1.1 protocol.
+EOF
diff --git a/web/monkey/init.d/monkey b/web/monkey/init.d/monkey
new file mode 100644
index 0000000..0963b61
--- /dev/null
+++ b/web/monkey/init.d/monkey
@@ -0,0 +1,40 @@
+#!/bin/bash
+#
+# Startup script for Monkey Web Server
+#
+# chkconfig: 345 85 15
+# description: a HTTP/1.1 Web server
+#
+# processname: monkey
+# pidfile: /var/www/monkey/logs/monkey.pid
+# config: /etc/monkey/conf/monkey.conf
+
+PID=/var/www/monkey/logs/monkey.pid
+PROG=/usr/bin/monkey
+
+start() {
+ echo -n "Starting monkey: "
+ $PROG -D > /dev/null 2>&1 &&
+ echo -e "$RESULT_OK" ||
+ echo -e "$RESULT_FAIL"
+}
+
+stop() {
+ echo -n "Stopping Monkey: "
+ killall -q $PROG &&
+ if [ -e $PID ]; then rm $PID; fi
+ echo -e "$RESULT_OK" ||
+ echo -e "$RESULT_FAIL"
+}
+
+restart() {
+ $0 stop
+ $0 start
+}
+
+case "$1" in
+ start|stop|restart) ;;
+ *) echo "Usage: $0 {start|stop|restart}" ; exit 1 ;;
+esac
+
+. /lib/lsb/init-functions
diff --git a/zbeta/monkey/BUILD b/zbeta/monkey/BUILD
deleted file mode 100644
index 01a6701..0000000
--- a/zbeta/monkey/BUILD
+++ /dev/null
@@ -1,9 +0,0 @@
-(
-./configure --prefix=/usr \
- --bindir=/usr/bin \
- --sysconfdir=/etc/monkey/conf \
- --datadir=/var/www/monkey/htdocs \
- --logdir=/var/www/monkey/logs
- $OPTS
-default_make
-) > $C_FIFO 2>&1
diff --git a/zbeta/monkey/DETAILS b/zbeta/monkey/DETAILS
deleted file mode 100644
index 189804e..0000000
--- a/zbeta/monkey/DETAILS
+++ /dev/null
@@ -1,14 +0,0 @@
- MODULE=monkey
- VERSION=1.0.0
- SOURCE=$MODULE-$VERSION.tar.gz
- SOURCE_URL=http://monkey-project.com/releases/1.0/
- SOURCE_VFY=sha1:9d2fcf7af3fc3fb6121e155d2e30d3ce25dbb46c
- WEB_SITE=http://monkey-project.com/
- ENTERED=20080315
- UPDATED=20120610
- SHORT="A fast and light web server for Linux."
-
-cat << EOF
-Monkey is a Web server written in C that works under Linux. This
-is an open source project based on the HTTP/1.1 protocol.
-EOF
diff --git a/zbeta/monkey/init.d/monkey b/zbeta/monkey/init.d/monkey
deleted file mode 100644
index 96777db..0000000
--- a/zbeta/monkey/init.d/monkey
+++ /dev/null
@@ -1,40 +0,0 @@
-#!/bin/bash
-#
-# Startup script for Monkey Web Server
-#
-# chkconfig: 345 85 15
-# description: a HTTP/1.1 Web server
-#
-# processname: monkey
-# pidfile: /var/www/monkey/logs/monkey.pid
-# config: /etc/monkey/conf/monkey.conf
-
-PID=/var/www/monkey/logs/monkey.pid
-PROG=/usr/bin/monkey
-
-start() {
- echo -n "Starting monkey: "
- $PROG -D > /dev/null 2>&1 &&
- echo -e "$RESULT_OK" ||
- echo -e "$RESULT_FAIL"
-}
-
-stop() {
- echo -n "Stopping Monkey: "
- killall -q $PROG &&
- if [ -e $PID ]; then rm $PID; fi
- echo -e "$RESULT_OK" ||
- echo -e "$RESULT_FAIL"
-}
-
-restart() {
- $0 stop
- $0 start
-}
-
-case "$1" in
- start|stop|restart) ;;
- *) echo "Usage: $0 {start|stop|restart}" ; exit 1 ;;
-esac
-
-. /lib/lsb/init-functions
More information about the Lunar-commits
mailing list